// ============================================================================
// $Id: log.hh,v 1.2 1996/04/26 23:33:04 questor Exp $
//
// This is part of Realm Of Magic
//
// Usage: Class that manages the intermud logging
//
// All rights reserved. See license.doc for complete information.
//
// Copyright (C) 1993-1996 by the Hackerz of the Realm Of Magic
// Realm Of Magic is based on CircleMUD, Copyright (C) 1993.
// CircleMUD is based on DikuMUD, Copyright (C) 1990, 1991.
// Original intermud_client.c (C) 1995, 96 by Chris Austin (Stryker@Tempus)
// Original lpc protocol (C) by Mark Lewis (Nostradamus@Zebedee)
//                           by J.W. Armstrong (Alvin@Sushi)
// ============================================================================

#ifndef __INTERMUD__LOG_HH__
#define __INTERMUD__LOG_HH__

class _log {
private:
  string data;

public:
  _log& operator<<(string);
  _log& operator<<(int);
  _log& operator<<(unsigned int);
  _log& operator<<(short int);
  _log& operator<<(unsigned short int);
  _log& operator<<(long int);
  _log& operator<<(unsigned long int);
  _log& operator<<(_log& (*pf)(_log&));

  friend _log& logit(_log&);
};

_log& logit(_log&);

#endif

